Skip to main content
GET
/
v2
/
get-orders
/
{user_address}
Get user orders (v2).
curl --request GET \
  --url https://gateway-api-mainnet.gobob.xyz/v2/get-orders/{user_address} \
  --header 'Authorization: Bearer <token>'
{
  "orders": [
    {
      "dstInfo": {
        "amount": "<string>",
        "chain": "<string>",
        "token": "<string>"
      },
      "id": "<string>",
      "srcInfo": {
        "amount": "<string>",
        "chain": "<string>",
        "token": "<string>",
        "txHash": "<string>"
      },
      "status": {
        "inProgress": {
          "pending_btc_payment": {
            "amount": "<string>",
            "txid": "<string>"
          },
          "refund_tx": {
            "chain": "<string>",
            "data": "<string>",
            "to": "<string>",
            "value": "<string>"
          }
        }
      },
      "timestamp": 123,
      "depositAddress": "<string>",
      "estimatedTimeInSecs": 1
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_address
string
required

User address

Query Parameters

cursor
string

Cursor used to fetch the next page, obtained from the response's next_cursor.

limit
integer

Number of orders to request

Required range: x >= 1

Response

Get orders

orders
object[]
required
nextCursor
string | null